Bug 974839 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'write' accesses on the directory /home/katharina.
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'write' acce...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:0140f923951f9627bcbe2d891e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 07:35 EDT by Simon Lewis
Modified: 2013-06-17 06:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 06:13:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Lewis 2013-06-16 07:35:55 EDT
Description of problem:
SELinux is preventing /usr/lib64/xulrunner/plugin-container from 'write' accesses on the directory /home/katharina.

*****  Plugin restorecon (57.3 confidence) suggests  *************************

If sie die Kennzeichnung korrigieren möchten.
/home/katharina Standard-Kennzeichnung sollte user_home_dir_t sein.
Then sie können restorecon ausführen.
Do
# /sbin/restorecon -v /home/katharina

*****  Plugin mozplugger (43.1 confidence) suggests  *************************

If sie das plugin-Paket benutzen möchten
Then sie müssen die SELinux-Überwachung der Firefox-Plugins ausschalten.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.06 confidence) suggests  ***************************

If sie denken, dass es plugin-container standardmässig erlaubt sein sollte, write Zugriff auf katharina directory zu erhalten.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
zugriff jetzt erlauben, indem Sie die nachfolgenden Befehle ausführen:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:home_root_t:s0
Target Objects                /home/katharina [ dir ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           xulrunner-21.0-8.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-52.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.5-301.fc19.x86_64 #1 SMP Tue
                              Jun 11 19:39:38 UTC 2013 x86_64 x86_64
Alert Count                   914
First Seen                    2013-06-15 13:15:41 CEST
Last Seen                     2013-06-16 13:28:36 CEST
Local ID                      bbc8671b-7c8f-4c89-9b17-08a24434200c

Raw Audit Messages
type=AVC msg=audit(1371382116.354:850): avc:  denied  { write } for  pid=1426 comm="plugin-containe" name="katharina" dev="sda4" ino=4980737 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:home_root_t:s0 tclass=dir


type=SYSCALL msg=audit(1371382116.354:850): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=7fa051f8dca0 a1=1c0 a2=ffffffffffffff40 a3=616b2f656d6f682f items=0 ppid=1342 pid=1426 auid=1002 uid=1002 gid=1002 euid=1002 suid=1002 fsuid=1002 egid=1002 sgid=1002 fsgid=1002 ses=1 tty=(none) comm=plugin-containe exe=/usr/lib64/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,home_root_t,dir,write

Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.5-301.fc19.x86_64
type:           libreport

Potential duplicate: bug 834835
Comment 1 Miroslav Grepl 2013-06-17 06:13:52 EDT
Execute

# /sbin/restorecon -R -v /home/katharina

to fix labeling.

Note You need to log in before you can comment on or make changes to this bug.